package com.fs.hisStore.service;

import com.fs.hisStore.domain.FsMedicatedFoodScrm;
import com.fs.hisStore.param.FsMedicateFoodListUParam;
import com.fs.hisStore.vo.FsMedicateFoodListUVO;
import com.fs.hisStore.vo.FsMedicatedFoodLListVO;

import java.util.List;

/**
 * 药膳食疗Service接口
 *
 * @author fs
 * @date 2023-10-23
 */
public interface IFsMedicatedFoodScrmService
{

    /**
     * 查询药膳食疗
     *
     * @param id 药膳食疗主键
     * @return 药膳食疗
     */
    public FsMedicatedFoodScrm selectFsMedicatedFoodById(Long id);

    /**
     * 查询药膳食疗列表
     *
     * @param fsMedicatedFood 药膳食疗
     * @return 药膳食疗集合
     */
    public List<FsMedicatedFoodScrm> selectFsMedicatedFoodList(FsMedicatedFoodScrm fsMedicatedFood);

    /**
     * 新增药膳食疗
     *
     * @param fsMedicatedFood 药膳食疗
     * @return 结果
     */
    public int insertFsMedicatedFood(FsMedicatedFoodScrm fsMedicatedFood);

    /**
     * 修改药膳食疗
     *
     * @param fsMedicatedFood 药膳食疗
     * @return 结果
     */
    public int updateFsMedicatedFood(FsMedicatedFoodScrm fsMedicatedFood);

    /**
     * 批量删除药膳食疗
     *
     * @param ids 需要删除的药膳食疗主键集合
     * @return 结果
     */
    public int deleteFsMedicatedFoodByIds(Long[] ids);

    /**
     * 删除药膳食疗信息
     *
     * @param id 药膳食疗主键
     * @return 结果
     */
    public int deleteFsMedicatedFoodById(Long id);

    List<FsMedicatedFoodLListVO> selectFsMedicatedFoodListVO(FsMedicatedFoodScrm fsMedicatedFood);

    String importDataMedicatedFoodExcel(List<FsMedicatedFoodScrm> list, boolean updateSupport);

    List<FsMedicateFoodListUVO> selectFsMedicatedFoodListUVO(FsMedicateFoodListUParam param);
}
